<?php

ini_set('display_errors', 1);

// Set errors
$intErrors = 0;
$strErrorMsg = "";

// Get specific parameters:

if(isset($_GET['strFilename']) && !empty($_GET['strFilename'])){
	$strFilename = $_GET["strFilename"];
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "strFilename missing";
}


if ($intErrors > 0 ) {
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
	echo "	<us>" . "\r\n";
	echo "		<u>" . "\r\n";
	echo "			<code>params</code>" . "\r\n";
	echo "			<message>" . $intErrors  . " parameter error(s) - " . $strErrorMsg . "</message>" . "\r\n";
	echo "		</u>" . "\r\n";
	echo "	</us>";
	die;
}

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" . "\r\n";
echo "	<us>" . "\r\n";
echo "		<fake>" . "\r\n"; // add this empty record to ensure there is always some data
echo "			<code>0</code>" . "\r\n"; // no errors
echo "		</fake>" . "\r\n";

echo "/temp/" . $strFilename;

$string = file_get_contents("./temp/" . $strFilename);
$string = preg_replace('/^.+\n/', '', $string);

$arrayContent = json_decode($string, true);
		 
if (array_key_exists('errors', $arrayContent)) {
	
	echo "		<u>" . "\r\n";
	echo "			<code>" . $arrayContent['errors'][0]['code'] . "</code>" . "\r\n";
	echo "			<message>" . $arrayContent['errors'][0]['message'] . "</message>" . "\r\n";
	echo "		</u>" . "\r\n";
	echo "	</us>" . "\r\n";
	die;
}

$arrayCount = count($arrayContent);
$arrayCurPos = 0;

function CleanXML($strXML) {

	$strXML = str_replace("&","&amp;",$strXML);
	$strXML = str_replace("<","&lt;",$strXML);
	$strXML = str_replace(">","&gt;",$strXML);
	$strXML = str_replace('"',"&quot;",$strXML);
	$strXML = str_replace("'","&apos;",$strXML);
	$strXML = str_replace("\r","&lt;br&gt;",$strXML);
	$strXML = str_replace("\n","&lt;br&gt;",$strXML);

	return $strXML;
	
}

while ($arrayCurPos < $arrayCount){
	
	echo "		<u>" . "\r\n";
	echo "			<code>0</code>" . "\r\n"; // no errors
	echo "			<a1>" . $arrayContent[$arrayCurPos]['id_str'] . "</a1>" . "\r\n";
	echo "			<a2>" . CleanXML($arrayContent[$arrayCurPos]['text']) . "</a2>" . "\r\n";
					$new_date_format = date('d-M-Y H:i:s', strtotime($arrayContent[$arrayCurPos]['created_at']));   
	echo "			<a3>" . $new_date_format . "</a3>" . "\r\n";
	
	if (array_key_exists('in_reply_to_user_id_str', $arrayContent[$arrayCurPos])) {
		echo "			<a4>" . CleanXML($arrayContent[$arrayCurPos]['in_reply_to_user_id_str']) . "</a4>" . "\r\n";
	} else {
		echo "			<a4></a4>" . "\r\n";
	}

	if (array_key_exists('in_reply_to_status_id_str', $arrayContent[$arrayCurPos])) {
	echo "			<a5>" . CleanXML($arrayContent[$arrayCurPos]['in_reply_to_status_id_str']) . "</a5>" . "\r\n";
	} else {
		echo "			<a5></a5>" . "\r\n";
	}

	echo "		</u>" . "\r\n";
	$arrayCurPos = $arrayCurPos + 1;
}

echo "	</us>" . "\r\n";

//echo var_dump($arrayContent);

?>