<?php

ini_set('display_errors', 1);

// Set errors
$intErrors = 0;
$strErrorMsg = "";

require_once('TwitterAPIExchange.php');
require_once('GetSharedParams.php');

// Get specific parameters:

// Maximum count is 200
$intAPIMaxCount = "";
if(isset($_GET['intAPIMaxCount']) && !empty($_GET['intAPIMaxCount'])){
	$intAPIMaxCount = $_GET["intAPIMaxCount"];
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "intAPIMaxCount missing, ";
}

$getfield = 'count=' . $intAPIMaxCount;

if(isset($_GET['max_id']) && !empty($_GET['max_id'])){
	$max_id = $_GET["max_id"];
	$getfield .= '&max_id='. $max_id;
} else {
 // Nothing to do
}

if(isset($_GET['since_id']) && !empty($_GET['since_id'])){
	$since_id = $_GET["since_id"];
	$getfield .= '&since_id='. $since_id;
} else {
 // Nothing to do
}

if ( isset( $_GET["strTwitterID"]) && !empty($_GET['strTwitterID'])) {
	$strTwitterID = $_GET["strTwitterID"];
	$getfield .= '&user_id=' . $strTwitterID;
} elseif ( isset($_GET["strScreenName"]) && !empty($_GET['strScreenName'])) {
	$strScreenName = $_GET["strScreenName"];
	$getfield .= '&screen_name=' . $strScreenName;
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "either strTwitterID or strScreenName missing, ";	
}

$getfield = '?' . $getfield;

if ($intErrors > 0 ) {
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
	echo "	<us>" . "\r\n";
	echo "		<u>" . "\r\n";
	echo "			<code>params</code>" . "\r\n";
	echo "			<message>" . $intErrors  . " parameter error(s) - " . $strErrorMsg . "</message>" . "\r\n";
	echo "		</u>" . "\r\n";
	echo "	</us>";
	die;
}

/** Set access tokens here - see: https://dev.twitter.com/apps/ **/
$settings = array(
    'oauth_access_token' => $oat,
    'oauth_access_token_secret' => $oats,
    'consumer_key' => $ck,
    'consumer_secret' => $cs
);


echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" . "\r\n";
echo "	<us>" . "\r\n";
echo "		<fake>" . "\r\n"; // add this empty record to ensure there is always some data
echo "			<code>0</code>" . "\r\n"; // no errors
echo "		</fake>" . "\r\n";

$url = 'https://api.twitter.com/1.1/statuses/user_timeline.json';

$requestMethod = 'GET';
$twitter = new TwitterAPIExchange($settings);

$users=$twitter->setGetfield($getfield)
			 ->buildOauth($url, $requestMethod)
			 ->performRequest();

$arrayContent = json_decode($users, true);
		 
if (array_key_exists('errors', $arrayContent)) {
	
	echo "		<u>" . "\r\n";
	echo "			<code>" . $arrayContent['errors'][0]['code'] . "</code>" . "\r\n";
	echo "			<message>" . $arrayContent['errors'][0]['message'] . "</message>" . "\r\n";
	echo "		</u>" . "\r\n";
	echo "	</us>" . "\r\n";
	die;
}

$arrayCount = count($arrayContent);
$arrayCurPos = 0;

function CleanXML($strXML) {

	$strXML = str_replace("&","&amp;",$strXML);
	$strXML = str_replace("<","&lt;",$strXML);
	$strXML = str_replace(">","&gt;",$strXML);
	$strXML = str_replace('"',"&quot;",$strXML);
	$strXML = str_replace("'","&apos;",$strXML);
	$strXML = str_replace("\r","&lt;br&gt;",$strXML);
	$strXML = str_replace("\n","&lt;br&gt;",$strXML);

	return $strXML;
	
}

while ($arrayCurPos < $arrayCount){
	
	echo "		<u>" . "\r\n";
	echo "			<code>0</code>" . "\r\n"; // no errors
	echo "			<a1>" . $arrayContent[$arrayCurPos]['id_str'] . "</a1>" . "\r\n";
	echo "			<a2>" . CleanXML($arrayContent[$arrayCurPos]['text']) . "</a2>" . "\r\n";
					$new_date_format = date('d-M-Y H:i:s', strtotime($arrayContent[$arrayCurPos]['created_at']));   
	echo "			<a3>" . $new_date_format . "</a3>" . "\r\n";
	echo "			<a4>" . CleanXML($arrayContent[$arrayCurPos]['in_reply_to_user_id_str']) . "</a4>" . "\r\n";
	echo "			<a5>" . CleanXML($arrayContent[$arrayCurPos]['in_reply_to_status_id_str']) . "</a5>" . "\r\n";
	echo "		</u>" . "\r\n";
	$arrayCurPos = $arrayCurPos + 1;
}

echo "	</us>" . "\r\n";

//echo var_dump($arrayContent);

?>